// @flow
import batch from './batch';
import tasksBulk from './bulk/tasks';
import bulkUpdate from './bulk/update';
import calendarCategory from './details/calendar-category';
import calendarEvent from './details/calendar-event';
import calendarType from './details/calendar-type';
import campaign from './details/campaign';
import campaignAttach from './details/campaign-attach';
import campaignDetach from './details/campaign-detach';
import caseDetails from './details/case';
import caseAttach from './details/case-attach';
import caseDetach from './details/case-detach';
import collaborationCall from './details/collaboration-call';
import company from './details/company';
import companyAttach from './details/company-attach';
import companyDetach from './details/company-detach';
import contact from './details/contact';
import contactAttach from './details/contact-attach';
import contactDetach from './details/contact-detach';
import document from './details/document';
import email from './details/email';
import emailForward from './details/email-forward';
import emailSend from './details/email-send';
import etag from './details/etag';
import favorite from './details/favorite';
import file from './details/file';
import multimedia from './details/multimedia';
import multimediaAlbum from './details/multimedia-album';
import multimediaUpdate from './details/multimedia-update';
import folder from './details/folder';
import inviteProjectExternal from './details/invite-project-external';
import inviteProjectMember from './details/invite-project-member';
import inviteWorkspaceExternal from './details/invite-workspace-external';
import inviteWorkspaceMember from './details/invite-workspace-member';
import lead from './details/lead';
import leadAttach from './details/lead-attach';
import leadDetach from './details/lead-detach';
import listView from './details/list-view';
import listing from './details/listing';
import listingDetach from './details/listing-detach';
import listingDocumentsByFolder from './details/listing-documents-by-folder';
import listingDocumentsStatusesByFolder from './details/listing-documents-statuses-by-folder';
import listingDocumentsStatuses from './details/listing-documents-statuses';
import listingFolders from './details/listing-folders';
import documentsForParticularListing from './list/documents-for-particular-listing';
import listingPurchase from './details/listing-purchase';
import listingPurchaseAttachDocuments from './details/listing-purchase-attach-documents';
import listingPurchaseDetachDocuments from './details/listing-purchase-detach-documents';
import listingShowing from './details/listing-showing';
import listingTodo from './details/listing-todo';
import listingTodoAttachDocuments from './details/listing-todo-attach-documents';
import listingTodoDetachDocuments from './details/listing-todo-detach-documents';
import listingTodoList from './details/listing-todo-list';
import note from './details/note';
import offerDetach from './details/offer-detach';
import openHouse from './details/open-house';
import opportunity from './details/opportunity';
import opportunityAttach from './details/opportunity-attach';
import opportunityDetach from './details/opportunity-detach';
import projectTask from './details/project-task';
import property from './details/property';
import request from './details/request';
import requestAttach from './details/request-attach';
import requestDetach from './details/request-detach';
import streamGroup from './details/stream-group';
import task from './details/task';
import taskComment from './details/task-comment';
import transaction from './details/transaction';
import user from './details/user';
import userAttach from './details/user-attach';
import userDetach from './details/user-detach';
import workspace from './details/workspace';
import workspaceActivity from './details/workspace-activity';
import activityList from './list/activity-list';
import calendarCategories from './list/calendar-categories';
import calendarEvents from './list/calendar-events';
import calendarTypes from './list/calendar-types';
import campaigns from './list/campaigns';
import cases from './list/cases';
import clearRecent from './list/clear-recent';
import comments from './list/comments';
import companies from './list/companies';
import contacts from './list/contacts';
import dictionaries from './list/dictionaries';
import documents from './list/documents';
import driveFiles from './list/drive-files';
import emails from './list/emails';
import expenses from './list/expenses';
import files from './list/files';
import multimedias from './list/multimedias';
import multimediaAlbums from './list/multimedia-albums';
import multimediaAlbumsByEntity from './list/multimedia-albums-by-entity';
import multimediasByAlbum from './list/multimedias-by-album';
import folders from './list/folders';
import globalSearch from './list/global-search';
import invoices from './list/invoices';
import leads from './list/leads';
import listViews from './list/list-views';
import listings from './list/listings';
import openHouses from './list/open-houses';
import opportunities from './list/opportunities';
import projects from './list/projects';
import properties from './list/properties';
import recent from './list/recent';
import relatedCampaigns from './list/related-campaigns';
import relatedCases from './list/related-cases';
import relatedCompanies from './list/related-companies';
import relatedContacts from './list/related-contacts';
import relatedEvents from './list/related-events';
import relatedLeads from './list/related-leads';
import relatedListings from './list/related-listings';
import listingDocuments from './list/listings-documents';
import relatedOffers from './list/related-offers';
import relatedOpportunities from './list/related-opportunities';
import relatedRequests from './list/related-requests';
import relatedTasks from './list/related-tasks';
import relatedUsers from './list/related-users';
import requests from './list/requests';
import socialInterests from './list/social-interests';
import stageHistory from './list/stage-history';
import stages from './list/stages';
import streamGroups from './list/stream-groups';
import tasks from './list/tasks';
import tasksComments from './list/tasks-comments';
import tasksSections from './list/tasks-sections';
import transactions from './list/transactions';
import users from './list/users';
import workspaceActivities from './list/workspace-activities';
import workspaceMembers from './list/workspace-members';
import workspaces from './list/workspaces';

export default (baseURL: string) => ({
	activityList                    : activityList(baseURL),
	batch                           : batch(baseURL),
	bulkUpdate                      : bulkUpdate(baseURL),
	calendarCategories              : calendarCategories(baseURL),
	calendarCategory                : calendarCategory(baseURL),
	calendarEvents                  : calendarEvents(baseURL),
	calendarType                    : calendarType(baseURL),
	calendarTypes                   : calendarTypes(baseURL),
	campaign                        : campaign(baseURL),
	campaignAttach                  : campaignAttach(baseURL),
	campaignDetach                  : campaignDetach(baseURL),
	campaigns                       : campaigns(baseURL),
	caseAttach                      : caseAttach(baseURL),
	caseDetach                      : caseDetach(baseURL),
	caseDetails                     : caseDetails(baseURL),
	cases                           : cases(baseURL),
	clearRecent                     : clearRecent(baseURL),
	collaborationCall               : collaborationCall(baseURL),
	comments                        : comments(baseURL),
	companies                       : companies(baseURL),
	company                         : company(baseURL),
	companyAttach                   : companyAttach(baseURL),
	companyDetach                   : companyDetach(baseURL),
	contact                         : contact(baseURL),
	contactAttach                   : contactAttach(baseURL),
	contactDetach                   : contactDetach(baseURL),
	contacts                        : contacts(baseURL),
	dictionaries                    : dictionaries(baseURL),
	document                        : document(baseURL),
	documents                       : documents(baseURL),
	documentsForParticularListing   : documentsForParticularListing(baseURL),
	driveFiles                      : driveFiles(baseURL),
	email                           : email(baseURL),
	emailForward                    : emailForward(baseURL),
	emails                          : emails(baseURL),
	emailSend                       : emailSend(baseURL),
	etag                            : etag(baseURL),
	event                           : calendarEvent(baseURL),
	expenses                        : expenses(baseURL),
	favorite                        : favorite(baseURL),
	file                            : file(baseURL),
	files                           : files(baseURL),
	folder                          : folder(baseURL),
	folders                         : folders(baseURL),
	globalSearch                    : globalSearch(baseURL),
	inviteProjectExternal           : inviteProjectExternal(baseURL),
	inviteProjectMember             : inviteProjectMember(baseURL),
	inviteWorkspaceExternal         : inviteWorkspaceExternal(baseURL),
	inviteWorkspaceMember           : inviteWorkspaceMember(baseURL),
	invoices                        : invoices(baseURL),
	lead                            : lead(baseURL),
	leadAttach                      : leadAttach(baseURL),
	leadDetach                      : leadDetach(baseURL),
	leads                           : leads(baseURL),
	listing                         : listing(baseURL),
	listingDetach                   : listingDetach(baseURL),
	listingDocuments                : listingDocuments(baseURL),
	listingDocumentsByFolder        : listingDocumentsByFolder(baseURL),
	listingDocumentsStatuses        : listingDocumentsStatuses(baseURL),
	listingDocumentsStatusesByFolder: listingDocumentsStatusesByFolder(baseURL),
	listingFolders                  : listingFolders(baseURL),
	listingPurchase                 : listingPurchase(baseURL),
	listingPurchaseAttachDocuments  : listingPurchaseAttachDocuments(baseURL),
	listingPurchaseDetachDocuments  : listingPurchaseDetachDocuments(baseURL),
	listings                        : listings(baseURL),
	listingShowing                  : listingShowing(baseURL),
	listingTodo                     : listingTodo(baseURL),
	listingTodoAttachDocuments      : listingTodoAttachDocuments(baseURL),
	listingTodoDetachDocuments      : listingTodoDetachDocuments(baseURL),
	listingTodoList                 : listingTodoList(baseURL),
	listView                        : listView(baseURL),
	listViews                       : listViews(baseURL),
	multimedia                      : multimedia(baseURL),
	multimedias                     : multimedias(baseURL),
	multimediasByAlbum              : multimediasByAlbum(baseURL),
	multimediaUpdate                : multimediaUpdate(baseURL),
	multimediaAlbum                 : multimediaAlbum(baseURL),
	multimediaAlbums                : multimediaAlbums(baseURL),
	multimediaAlbumsByEntity        : multimediaAlbumsByEntity(baseURL),
	note                            : note(baseURL),
	offerDetach                     : offerDetach(baseURL),
	openHouse                       : openHouse(baseURL),
	openHouses                      : openHouses(baseURL),
	opportunities                   : opportunities(baseURL),
	opportunity                     : opportunity(baseURL),
	opportunityAttach               : opportunityAttach(baseURL),
	opportunityDetach               : opportunityDetach(baseURL),
	projects                        : projects(baseURL),
	projectTask                     : projectTask(baseURL),
	properties                      : properties(baseURL),
	property                        : property(baseURL),
	recent                          : recent(baseURL),
	relatedCampaigns                : relatedCampaigns(baseURL),
	relatedCases                    : relatedCases(baseURL),
	relatedCompanies                : relatedCompanies(baseURL),
	relatedContacts                 : relatedContacts(baseURL),
	relatedEvents                   : relatedEvents(baseURL),
	relatedLeads                    : relatedLeads(baseURL),
	relatedListings                 : relatedListings(baseURL),
	relatedOffers                   : relatedOffers(baseURL),
	relatedOpportunities            : relatedOpportunities(baseURL),
	relatedRequests                 : relatedRequests(baseURL),
	relatedTasks                    : relatedTasks(baseURL),
	relatedUsers                    : relatedUsers(baseURL),
	request                         : request(baseURL),
	requestAttach                   : requestAttach(baseURL),
	requestDetach                   : requestDetach(baseURL),
	requests                        : requests(baseURL),
	socialInterests                 : socialInterests(baseURL),
	stageHistory                    : stageHistory(baseURL),
	stages                          : stages(baseURL),
	streamGroup                     : streamGroup(baseURL),
	streamGroups                    : streamGroups(baseURL),
	task                            : task(baseURL),
	taskComment                     : taskComment(baseURL),
	tasks                           : tasks(baseURL),
	tasksBulk                       : tasksBulk(baseURL),
	tasksComments                   : tasksComments(baseURL),
	tasksSections                   : tasksSections(baseURL),
	transaction                     : transaction(baseURL),
	transactions                    : transactions(baseURL),
	user                            : user(baseURL),
	userAttach                      : userAttach(baseURL),
	userDetach                      : userDetach(baseURL),
	users                           : users(baseURL),
	workspace                       : workspace(baseURL),
	workspaceActivities             : workspaceActivities(baseURL),
	workspaceActivity               : workspaceActivity(baseURL),
	workspaceMembers                : workspaceMembers(baseURL),
	workspaces                      : workspaces(baseURL),
});
